import { PayActivity, PayActivityAddRequest } from '../../types';
import { ActivityStorage } from './activity-db';
declare class PayActivityStorage extends ActivityStorage {
    savePrivateSendTx(txRequest: PayActivityAddRequest): Promise<string>;
    saveMultiplePrivateSendTxs(txRequests: PayActivityAddRequest[]): Promise<string[]>;
    getTransactionRecords(): Promise<PayActivity[]>;
}
export declare const payActivityStorage: PayActivityStorage;
export {};
